group "TradeCashflowsDefinition.model"

Namespace: | http://www.fpml.org/FpML-5/reporting
Content: | 3 elements
Defined: | globally in fpml-reconciliation-5-3.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 4 locations

Content Model Diagram

Complex Content Model
asOfDate?, reportContents?, tradeCashflowsId?

Content Model Elements (3):

  asOfDate (defined in TradeCashflowsDefinition.model group),
  reportContents (defined in TradeCashflowsDefinition.model group),
  tradeCashflowsId (defined in TradeCashflowsDefinition.model group)

Known Usage Locations

- In definitions of other model groups (2):
  DefinitionAndCashflows.model, DefinitionAndNettedCashflows.model
- In definitions of global complexTypes (2):
  NettedTradeCashflowsAsserted, TradeCashflowsAsserted

XML Source (w/o annotations (3); see within schema source)

<xsd:group name="TradeCashflowsDefinition.model"> <xsd:sequence> <xsd:element minOccurs="0" name="asOfDate" type="xsd:dateTime"/> <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/> <xsd:element minOccurs="0" name="tradeCashflowsId" type="TradeCashflowsId"/> </xsd:sequence> </xsd:group>

Content Element Detail (all declarations; defined within this component only; 3/3)
asOfDate

  Type: | xsd:dateTime, predefined, simple content

  The date and time at which the set of cashflows was defined.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="asOfDate" type="xsd:dateTime"/>

reportContents

  Type: | ReportContents, complex content

  The specific characteristics included in the report.
  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="reportContents" type="ReportContents"/>

tradeCashflowsId

  Type: | TradeCashflowsId, simple content

  Unique identifier assigned by the party asserting the set of cashflows to be reconciled.
  Simple Content

  xsd:normalizedString

  maxLength: | 255

  XML Source (w/o annotations (1); see within schema source)

  <xsd:element minOccurs="0" name="tradeCashflowsId" type="TradeCashflowsId"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.